@echo OFF
rem  * ************************************************************************
rem  *                 ALAR80E1.CMD - a Windows Command File                  *
rem  *           This program is provided by SimoTime Technologies            *
rem  *              (C) Copyright 1987-2021 All Rights Reserved               *
rem  *                Web Site URL:   http://www.simotime.com                 *
rem  *                      e-mail:   helpdesk@simotime.com                   *
rem  * ************************************************************************
rem  * This procedure will perform the following conversion for a single file.
rem  * 1. Read an ASCII-encoded, Line Sequential file having variable-length
rem  *    records with a maximum record length of eighty-bytes.
rem  * 2. Write an ASCII-encoded, Record Sequential file having eighty-byte,
rem  *    fixed-length records.
rem  * ************************************************************************
rem  * This procedure calls the following Windows Command Files or Programs.
rem  * 1. Env1Base.CMD - this provides a single point for setting commonly
rem  *                   used environment variables.
rem  * 2. SimoNOTE.CMD - this provides a consistent process for displaying
rem  *                   messages to the screen and writing to a journal or
rem  *                   log file.
rem  * 3. RUN CV80ALAR - For the specified file perform the following actions.
rem  *                 - Do the file format conversion between Line Sequential
rem  *                   and Record Sequential.
rem  *                 - Leave the record content in its ASCII-encoded schema.
rem  * ************************************************************************
     set CmdName=ALAR80E1
     call ..\Env1BASE %CmdName%
rem  *
     call SimoNOTE "*******************************************************%CmdName%.CMD"
     call SimoNOTE "Starting JobName %CmdName%.CMD"
rem  *
     set GETLS080=%BASEAPP%\DATALIBR\WRK1\SIMOTIME.DATADOIT.LS80ASC.TXT
     set PUTRS080=%BASEAPP%\DATALIBR\WRK1\SIMOTIME.DATAALAR.RS80ASC.DAT
     if exist %PUTRS080% erase %PUTRS080%
     run CV80ALAR
     if not "%ERRORLEVEL%" == "0" set JobStatus=0010
     if not "%JobStatus%" == "0000" goto :EojNOK
     if not exist %PUTRS080% set JobStatus=0035
     if not "%JobStatus%" == "0000" goto :EojNOK
     goto EojAok
:EojAOK
     call SimoNOTE "Finished CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNOK
     call SimoNOTE "ABENDING CmdName %CmdName%, Job Status is %JobStatus%"
     goto :End
:End
     if not "%1" == "nopause" pause
     exit /B %JobStatus%
