       IDENTIFICATION DIVISION.
       PROGRAM-ID.    FBFB80C1.
       AUTHOR.        SIMOTIME TECHNOLOGIES.
      *****************************************************************
      *           This program was generated by SimoZAPS              *
      *             A product of SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *                                                               *
      *  Generation Date: 2008-01-18  Generation Time: 11:19:00:59    *
      *                                                               *
      *                                   Record    Record     Key    *
      *  Function  Name     Organization  Format    Max-Min  Pos-Len  *
      *  INPUT     FB80GET  SEQUENTIAL    FIXED      00080            *
      *                                                               *
      *  OUTPUT    FB80PUT  SEQUENTIAL    FIXED      00080            *
      *                                                               *
      *                                                               *
      *                Translation Mode is UNKNOWN                    *
      *                                                               *
      *****************************************************************
       ENVIRONMENT DIVISION.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.
           SELECT FB80GET-FILE  ASSIGN TO       FB80GET
                  ORGANIZATION  IS SEQUENTIAL
                  ACCESS MODE   IS SEQUENTIAL
                  FILE STATUS   IS FB80GET-STATUS.
           SELECT FB80PUT-FILE  ASSIGN TO       FB80PUT
                  ORGANIZATION  IS SEQUENTIAL
                  ACCESS MODE   IS SEQUENTIAL
                  FILE STATUS   IS FB80PUT-STATUS.

      *****************************************************************
       DATA DIVISION.
       FILE SECTION.
       FD  FB80GET-FILE
           DATA RECORD    IS FB80GET-REC
           .
       01  FB80GET-REC.
           05  FB80GET-DATA-01 PIC X(00080).

       FD  FB80PUT-FILE
           DATA RECORD    IS FB80PUT-REC
           .
       01  FB80PUT-REC.
           05  FB80PUT-DATA-01 PIC X(00080).

      *****************************************************************
      * This program was created using the SYSMASK1.TXT file as input.*
      * The SYSMASK1 provides for the sequential reading of the input *
      * file and the sequential writing of the output file.           *
      *                                                               *
      * If the output file is indexed then the input file must be in  *
      * sequence by the field that will be used to provide the key    *
      * for the output file.                                          *
      *                                                               *
      * If the key field is not in sequence then refer to SYSMASK2    *
      * to provide for a random add or update of the indexed file.    *
      *                                                               *
      * This program mask will have the ASCII/EBCDIC table inserted   *
      * for use by the /TRANSLATE function of SimoZAPS.               *
      *                                                               *
      * For additional information contact SimoTime Technologies.     *
      *                                                               *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *****************************************************************
       WORKING-STORAGE SECTION.
       01  SIM-TITLE.
           05  T1 pic X(11) value '* FBFB80C1 '.
           05  T2 pic X(34) value 'Copy File of Fixed 80 bytes LRECL '.
           05  T3 pic X(10) value ' v07.11.04'.
           05  T4 pic X(24) value ' http://www.simotime.com'.
       01  SIM-COPYRIGHT.
           05  C1 pic X(11) value '* FBFB80C1 '.
           05  C2 pic X(20) value 'Created by SimoZAPS,'.
           05  C3 pic X(20) value '  a utility package '.
           05  C4 pic X(28) value 'of   SimoTime Technologies  '.

       01  FB80GET-STATUS.
           05  FB80GET-STATUS-L     pic X.
           05  FB80GET-STATUS-R     pic X.
       01  FB80GET-EOF              pic X       value 'N'.
       01  FB80GET-OPEN-FLAG        pic X       value 'C'.

       01  FB80PUT-STATUS.
           05  FB80PUT-STATUS-L     pic X.
           05  FB80PUT-STATUS-R     pic X.
       01  FB80PUT-EOF              pic X       value 'N'.
       01  FB80PUT-OPEN-FLAG        pic X       value 'C'.

       01  FB80GET-LRECL    pic 9(5)    value 00080.
       01  FB80PUT-LRECL    pic 9(5)    value 00080.

      *****************************************************************
      * The following buffers are used to create a four-byte status   *
      * code that may be displayed.                                   *
      *****************************************************************
       01  IO-STATUS.
           05  IO-STAT1            pic X.
           05  IO-STAT2            pic X.
       01  IO-STATUS-04.
           05  IO-STATUS-0401      pic 9     value 0.
           05  IO-STATUS-0403      pic 999   value 0.
       01  TWO-BYTES-BINARY        pic 9(4)  BINARY.
       01  TWO-BYTES-ALPHA         redefines TWO-BYTES-BINARY.
           05  TWO-BYTES-LEFT      pic X.
           05  TWO-BYTES-RIGHT     pic X.

      *****************************************************************
      * Message Buffer used by the Z-DISPLAY-MESSAGE-TEXT routine.    *
      *****************************************************************
       01  MESSAGE-BUFFER.
           05  MESSAGE-HEADER      pic X(11)   value '* FBFB80C1 '.
           05  MESSAGE-TEXT.
               10  MESSAGE-TEXT-1  pic X(68)   value SPACES.
               10  MESSAGE-TEXT-2  pic X(188)  value SPACES.

      *****************************************************************
       01  PROGRAM-NAME            pic X(8)     value 'FBFB80C1'.

       01  APPL-RESULT             pic S9(9)    comp.
           88  APPL-AOK            value 0.
           88  APPL-EOF            value 16.

       01  FB80GET-TOTAL.
           05  FB80GET-RDR  pic 9(9)    value 0.
           05  filler      pic X(3)    value ' - '.
           05  filler      pic X(23)   value 'Line count for FB80GET '.
       01  FB80PUT-TOTAL.
           05  FB80PUT-ADD  pic 9(9)    value 0.
           05  filler      pic X(3)    value ' - '.
           05  filler      pic X(23)   value 'Line count for FB80PUT '.


      *****************************************************************
       PROCEDURE DIVISION.
           perform Z-POST-COPYRIGHT
           perform FB80GET-OPEN
           perform FB80PUT-OPEN

           perform until FB80GET-STATUS not = '00'
               perform FB80GET-READ
               if  FB80GET-STATUS = '00'
                   add 1 to FB80GET-RDR
                   perform BUILD-OUTPUT-RECORD
                   perform FB80PUT-WRITE
                   if  FB80PUT-STATUS = '00'
                       add 1 to FB80PUT-ADD
                   end-if
               end-if
           end-perform

           move FB80GET-TOTAL to MESSAGE-TEXT
           perform Z-DISPLAY-MESSAGE-TEXT

           move FB80PUT-TOTAL to MESSAGE-TEXT
           perform Z-DISPLAY-MESSAGE-TEXT

           if  APPL-EOF
               move 'is Complete...' to MESSAGE-TEXT
           else
               move 'is ABENDING...' to MESSAGE-TEXT
           end-if
           perform Z-DISPLAY-MESSAGE-TEXT

           perform FB80PUT-CLOSE
           perform FB80GET-CLOSE
           GOBACK.

      *****************************************************************
       BUILD-OUTPUT-RECORD.
      *>   TransCOPY...
           move FB80GET-REC(00001:00080) to FB80PUT-REC(00001:00080)
           exit.

      *****************************************************************
      * I/O Routines for the INPUT File...                            *
      *****************************************************************
       FB80GET-CLOSE.
           add 8 to ZERO giving APPL-RESULT.
           close FB80GET-FILE
           if  FB80GET-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'CLOSE Failure with FB80GET ' to MESSAGE-TEXT
               perform Z-DISPLAY-MESSAGE-TEXT
               move FB80GET-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       FB80GET-READ.
           read FB80GET-FILE
           if  FB80GET-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               if  FB80GET-STATUS = '10'
                   add 16 to ZERO giving APPL-RESULT
               else
                   add 12 to ZERO giving APPL-RESULT
               end-if
           end-if
           if  APPL-AOK
               CONTINUE
           else
               if  APPL-EOF
                   move 'Y' to FB80GET-EOF
               else
                   move 'READ Failure with FB80GET ' to MESSAGE-TEXT
                   perform Z-DISPLAY-MESSAGE-TEXT
                   move FB80GET-STATUS to IO-STATUS
                   perform Z-DISPLAY-IO-STATUS
                   perform Z-ABEND-PROGRAM
               end-if
           end-if
           exit.
      *---------------------------------------------------------------*
       FB80GET-OPEN.
           add 8 to ZERO giving APPL-RESULT.
           open input FB80GET-FILE
           if  FB80GET-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'O' to FB80GET-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'OPEN Failure with FB80GET ' to MESSAGE-TEXT
               perform Z-DISPLAY-MESSAGE-TEXT
               move FB80GET-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.

      *****************************************************************
      * I/O Routines for the OUTPUT File...                           *
      *****************************************************************
       FB80PUT-WRITE.
           if  FB80PUT-OPEN-FLAG = 'C'
               perform FB80PUT-OPEN
           end-if
           write FB80PUT-REC
           if  FB80PUT-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
           else
               if  FB80PUT-STATUS = '10'
                   add 16 to ZERO giving APPL-RESULT
               else
                   add 12 to ZERO giving APPL-RESULT
               end-if
           end-if.
           if  APPL-AOK
               CONTINUE
           else
               move 'WRITE Failure with FB80PUT ' to MESSAGE-TEXT
               perform Z-DISPLAY-MESSAGE-TEXT
               move FB80PUT-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       FB80PUT-OPEN.
           add 8 to ZERO giving APPL-RESULT.
           open OUTPUT FB80PUT-FILE
           if  FB80PUT-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'O' to FB80PUT-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'OPEN Failure with FB80PUT ' to MESSAGE-TEXT
               perform Z-DISPLAY-MESSAGE-TEXT
               move FB80PUT-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.
      *---------------------------------------------------------------*
       FB80PUT-CLOSE.
           add 8 to ZERO giving APPL-RESULT.
           close FB80PUT-FILE
           if  FB80PUT-STATUS = '00'
               subtract APPL-RESULT from APPL-RESULT
               move 'C' to FB80PUT-OPEN-FLAG
           else
               add 12 to ZERO giving APPL-RESULT
           end-if
           if  APPL-AOK
               CONTINUE
           else
               move 'CLOSE Failure with FB80PUT ' to MESSAGE-TEXT
               perform Z-DISPLAY-MESSAGE-TEXT
               move FB80PUT-STATUS to IO-STATUS
               perform Z-DISPLAY-IO-STATUS
               perform Z-ABEND-PROGRAM
           end-if
           exit.

      *****************************************************************
      * The following Z-ROUTINES provide administrative functions     *
      * for this program.                                             *
      *****************************************************************
      * ABEND the program, post a message to the console and issue    *
      * a STOP RUN.                                                   *
      *****************************************************************
       Z-ABEND-PROGRAM.
           if  MESSAGE-TEXT not = SPACES
               perform Z-DISPLAY-MESSAGE-TEXT
           end-if
           move 'PROGRAM-IS-ABENDING...'  to MESSAGE-TEXT
           perform Z-DISPLAY-MESSAGE-TEXT
           add 12 to ZERO giving RETURN-CODE
           STOP RUN.
      *    exit.

      *****************************************************************
      * Display CONSOLE messages...                                   *
      *****************************************************************
       Z-DISPLAY-MESSAGE-TEXT.
           if MESSAGE-TEXT-2 = SPACES
               display MESSAGE-BUFFER(1:79) upon console
           else
               display MESSAGE-BUFFER       upon console
           end-if
           move all SPACES to MESSAGE-TEXT
           exit.

      *****************************************************************
      * Display the file status bytes. This routine will display as   *
      * four digits. If the full two byte file status is numeric it   *
      * will display as 00nn. If the 1st byte is a numeric nine (9)   *
      * the second byte will be treated as a binary number and will   *
      * display as 9nnn.                                              *
      *****************************************************************
       Z-DISPLAY-IO-STATUS.
           if  IO-STATUS not NUMERIC
           or  IO-STAT1 = '9'
               move IO-STAT1 to IO-STATUS-04(1:1)
               subtract TWO-BYTES-BINARY from TWO-BYTES-BINARY
               move IO-STAT2 to TWO-BYTES-RIGHT
               add TWO-BYTES-BINARY to ZERO giving IO-STATUS-0403
               move 'File Status is: nnnn' to MESSAGE-TEXT
               move IO-STATUS-04 to MESSAGE-TEXT(17:4)
               perform Z-DISPLAY-MESSAGE-TEXT
           else
               move '0000' to IO-STATUS-04
               move IO-STATUS to IO-STATUS-04(3:2)
               move 'File Status is: nnnn' to MESSAGE-TEXT
               move IO-STATUS-04 to MESSAGE-TEXT(17:4)
               perform Z-DISPLAY-MESSAGE-TEXT
           end-if
           exit.

      *****************************************************************
       Z-POST-COPYRIGHT.
           display SIM-TITLE
           display SIM-COPYRIGHT
           exit.
      *****************************************************************
      *           This program was generated by SimoZAPS              *
      *             A product of SimoTime Technologies                *
      *        Our e-mail address is: helpdesk@simotime.com           *
      *     Also, visit our Web Site at http://www.simotime.com       *
      *                                                               *
      *  Generation Date: 2008-01-18  Generation Time: 11:19:00:59    *
      *****************************************************************
